Skip to main content
POST
/
cms
/
blogs
/
2026-03
/
posts
/
{objectId}
/
draft
/
push-live
Publish blog post draft
curl --request POST \
  --url https://api.hubapi.com/cms/blogs/2026-03/posts/{objectId}/draft/push-live \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/blogs/2026-03/posts/{objectId}/draft/push-live"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/blogs/2026-03/posts/{objectId}/draft/push-live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

The ID of the post to publish.

Response

Last modified on March 31, 2026